Package twisted :: Package web :: Module widgets :: Class RenderSession |
[frames | no frames]

## Class RenderSession

I handle rendering of a list of deferreds, outputting their results in correct order.

Method Summary
| `__init__(self, lst, request)`
| `_addDeferred(self, deferred, lst, idx)`
| `callback(self, result, sentinel, decNeedsHeaders)`
| `keepRendering(self)`

Class Variable Summary
`class` | `Sentinel` = `twisted.web.widgets.Sentinel`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net